<template>
  <div class="todo-list__item form-check d-flex">
    <div class="col col-9">
      <input
        class="form-check-input"
        :class="className"
        type="checkbox"
        disabled
        v-model="item.completed"
      />
      <div class="">{{item.text}}</div>
    </div>
    
  </div>
</template>

<script>
export default {
  props: {
    noteId: {
      type: String,
      required: true
    },
    item: {
      type: Object,
      required: true
    }
  },
  computed: {
    className() {
      return `todo-list__item-${this.item.id}`;
    }
  }
};
</script>
<style lang="scss">
.todo-list__item {
  text-align: left;
  padding: 0.5rem;

  &:not(:last-child) {
    border-bottom: 1px solid #ccc
  };
  &:first-child {
    border-top: 1px solid #ccc;
  }
}
</style>
